import numpy as np


W_Cy4_morningstar = np.array([
    [2, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    [2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    #
    [0, 0, 1, -1, -1, 1, 0, 0, -1, 1, 0, 1, -1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 1, 1, -1, -1, 0, 0, -1, -1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 1, -1, 1, -1, 0, 0, -1, 1, 0, -1, 1, 0, 0, 0, 0, 0, 0, 0],
    #
    [0, 0, 1, 1, 1, 1, 0, 0, -1, -1, 0, -1, -1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 0, 0, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, -1, 1, 0, 1, -1, 0],
    [0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, -1, -1, 0, 1, 1, 0],
    #
    [0, 0, 1, -1, -1, 1, 0, 0, 1, -1, 0, -1, 1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 1, 1, -1, -1, 0, 0, 1, 1, 0, -1, -1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 0, 0, 0, 0, -1, 1, 0, 0, 2, 0, 0, -2, 1, -1, 0, 1, -1, 0],
    #
    [0, 0, 1, -1, 1, -1, 0, 0, 1, -1, 0, 1, -1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 1, 1, 1, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0],
    [0, 0, 0, 0, 0, 0, -1, -1, 0, 0, 2, 0, 0, 2, 1, 1, 0, 1, 1, 0],
    [0, 0, 0, 0, 0, 0, 2, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, 2, 0],
    [0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, -2, 0],
    [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, -2],
    [0, 0, 0, 0, 0, 0, 1, -1, 0, 0, 0, 0, 0, 0, 1, -1, 0, 1, -1, 0],
    [0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 1, 0],
    [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2]
])
